echo off
cls
echo ͻ
echo                                                                              
echo                 LL         EEEEEE     II      CCCCC      AAAAA               
echo                 LL         EE         II     CC         AA   AA              
echo                 LL         EEEE       II    CC          AAAAAAA              
echo                 LL         EE         II     CC         AA   AA              
echo                 LLLLLL     EEEEEE     II      CCCCC     AA   AA              
echo                                                                              
echo                   PPPPPP     RRRRRR       OOOOO      GGGGGGG                 
echo                   PP   PP    RR   RR     OO   OO     GG                      
echo                   PPPPPP     RRRRRR     OO     OO    GG    GG                
echo                   PP         RR RR       OO   OO     GG     G                
echo                   PP         RR   RR      OOOOO      GGGGGGG                 
echo                                                                              
echo   Version: 1.0                                           Date: 19.August 91  
echo Ķ
echo   PREPARE THEODOLITE FOR PROGRAM LOADING:                                    
echo   1) Check Communication Parameters:         MENU 4 3 2 .....  CONT          
echo                                                 Baud   : 9600                
echo                                                 Parity : Even                
echo                                                 Endmark: CR                  
echo   3) Set Theodolite to "PROG Load":          MENU 4 1 1                      
echo                                                                              
echo ͼ
Pause
echo off
cls
echo ͻ
echo                                                                              
echo                 PPPPPPPP    RRRRRRRR      OOOOOO      GGGGGGGG               
echo                 PP     PP   RR     RR    OO    OO    GG      GG              
echo                 PP     PP   RR     RR   OO      OO   GG                      
echo                 PPPPPPPP    RRRRRRRR    OO      OO   GG                      
echo                 PP          RR   RR     OO      OO   GG    GGGG              
echo                 PP          RR    RR     OO    OO    GG      GG              
echo                 PP          RR     RR     OOOOOO      GGGGGGGG               
echo                                                                              
echo Ķ
echo              The PROGRAM will be transfered to the Theodolite                
echo                                                                              
echo              Please set your transfer-program to following parameters:       
echo                                                                              
echo              Communication Port  :     COM1 or COM2 (depends on which port   
echo                                        the theodolite is connected)          
echo              Data Bits           :     7 bits                                
echo              Parity              :     Even                                  
echo              Stop Bits           :     1 bit                                 
echo              Baud rate           :     9600 baud                             
echo                                                                              
echo              PRESS ANY KEY TO CONTINUE                                       
echo ͼ
pause

REM	Mit folgendem Befehl wird das angegebene Programm-File zum Theodolit
REM	bertragen. Dazu wird das mitgelieferte bertragungsprogramm
REM	"X_TRANS.EXE" verwendet.
REM	Falls ein eigenes bertragungsprogramm verwendet werden soll, muss
REM	diese Zeile entsprechend abgendert werden. 

x_trans %1 /t

REM	HINWEIS: Wird in dem oben stehenden Befehl das "/t" entfernt, wird nicht
REM		 mehr nach den bertragungsparametern gefragt, sondern die
REM		 Standardkonfiguration verwendet: COM1, 7 Databit, 1 Stopbit,
REM		 Parity = Even, Baudrate = 9600.
REM		 Mit dem Parameter "/2" kann die Standardkonfiguration ver-
REM		 wendet werden, jedoch mit dem Ausgang COM2. Entsprechent kann
REM		 "/1" verwendet werden. Dies ist jedoch gleichbedeutend mit
REM		 Befehl ohne Parameterangabe.

REM	Falls die bertragung normal abgelaufen ist, wird der End-
REM	Bildschirm angezeigt.


if errorlevel -1 goto TRANSFER_ERROR

REM	Falls bei der bertragung Fehler aufgetreten sind, sollte die
REM	bertragung (Parameter) nocheinmal geprft werden. Eine Fehler-
REM	Meldung wird angezeigt.



REM	Damit ist das Programm bertragen und das Batchprogramm zu ende.
REM	Es wird noch ein End-Display angezeigt.

goto BAT_END


Die bertragung hat nicht richtig funktioniert:
:TRANSFER_ERROR

echo ͻ
echo                                                                              
echo                                                                              
echo           EEEEEEEE   RRRRRRRR    RRRRRRRR      OOOOOO     RRRRRRRR           
echo           EE         RR     RR   RR     RR    OO    OO    RR     RR          
echo           EE         RR     RR   RR     RR   OO      OO   RR     RR          
echo           EEEEE      RRRRRRRR    RRRRRRRR    OO      OO   RRRRRRRR           
echo           EE         RR   RR     RR   RR     OO      OO   RR   RR            
echo           EE         RR    RR    RR    RR     OO    OO    RR    RR           
echo           EEEEEEEE   RR     RR   RR     RR     OOOOOO     RR     RR          
echo                                                                              
echo                                                                              
echo ͼ
echo.
echo.
echo.
echo ͻ
echo                                                                              
echo                 ERROR IN DATA TRANSFER TO THE THEODOLITE !!!                 
echo                                                                              
echo                    Check all Parameters and connections!!!                   
echo                                                                              
echo                           PRESS ANY KEY TO EXIT                              
echo ͼ
Pause

GOTO END



REM	Ende nach der bertragung des Programmes

:BAT_END
cls
echo ͻ
echo                                                                              
echo                 PPPPPPPP    RRRRRRRR      OOOOOO      GGGGGGGG               
echo                 PP     PP   RR     RR    OO    OO    GG      GG              
echo                 PP     PP   RR     RR   OO      OO   GG                      
echo                 PPPPPPPP    RRRRRRRR    OO      OO   GG                      
echo                 PP          RR   RR     OO      OO   GG    GGGG              
echo                 PP          RR    RR     OO    OO    GG      GG              
echo                 PP          RR     RR     OOOOOO      GGGGGGGG               
echo                                                                              
echo Ķ
echo                                                                              
echo                                                                              
echo                 P R O G R A M     T R A N S F E R     E N D                  
echo                                                                              
echo                                                                              
echo                                                                              
echo                                                                              
echo                                                                              
echo                            PRESS ANY KEY TO EXIT                             
echo                                                                              
echo                                                                              
echo ͼ
echo.
pause
:END
ECHO on







 